Skip to main content
System Global/License
POSTLicenseSince 0.6SynchronousAuth Required

Register License Requested Application

Register License Requested Application

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • licenseRequestCodeStringRequired

      No description provided.

    • clientPubKeyString

      No description provided.

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • appIdStringRequired

    No description provided.

  • servicePubKeyStringRequired

    No description provided.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, such as SYS.1000, HOST.1001.

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      A reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      A reserved field. Default is null.

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error.

Endpoint

POST/zstack/v1/licenses/applications

/zstack/v1/licenses/applications

Operation ID

RegisterLicenseRequestedApplication

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/licenses/applications' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"licenseRequestCode":"<licenseRequestCode>","clientPubKey":"<clientPubKey>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "appId": "6568cda2a0863a4188a26fbdb740681e" }

Change History

This API has no change history records yet.

View all change history